package com.junmp.jyzb.controller;

import com.junmp.jyzb.api.bean.dto.A;
import com.junmp.jyzb.api.bean.query.TestReq;
import com.junmp.jyzb.api.bean.req.RabbitMqOrderReq;
import com.junmp.jyzb.entity.InventorySummary;
import com.junmp.jyzb.service.InventorySummaryService;
import com.junmp.jyzb.service.TestService;
import com.junmp.jyzb.utils.ResponseResult;
import com.junmp.v2.common.bean.response.ApiRes;
import io.swagger.annotations.ApiOperation;
import liquibase.pro.packaged.B;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitAdmin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@Slf4j
@RequestMapping("/api")
public class TestController {

    @Resource
    private TestService testService;
    @Resource
    private InventorySummaryService inventorySummaryService;

    @Resource
    private RabbitAdmin rabbitAdmin;
    @RequestMapping("/hello")
    public ResponseResult Hello(){
        return new ResponseResult(10000,"操作成功","hello");
    }

//    @PostMapping("/test")
//    public ApiRes<Boolean> test(@RequestBody RabbitMqOrderReq req){
//        return ApiRes.success(testService.test(req));
//    }

    @PostMapping("/test")
    public ApiRes<Boolean> test(@RequestBody RabbitMqOrderReq req){
        return ApiRes.success(inventorySummaryService.processInventoryRecords(req));
    }

    @PostMapping("/hasConsumers")
    public ApiRes<Boolean> hasConsumers(@RequestBody TestReq req){
        Long execute = rabbitAdmin.getRabbitTemplate().execute(channel -> channel.consumerCount(req.getQueueName()));
        System.out.println("execute = " + execute);
        return ApiRes.success(execute>0L);
    }

    @PostMapping("/selectByItem")
    public ApiRes<List<InventorySummary>> selectByItem(@RequestBody A a){

        return ApiRes.success(inventorySummaryService.selectByItems(a.getA()));
    }
}
